<template>
  <div>
    <!-- For PC -->
    <div class="gt-md mainWidth">
      <div align="center">
        <div class="cover-main">
          <div class="cover-newpic q-pt-sm">
            <img :src="openNum(itemNO)" alt="" style="height: 60px" />
          </div>
          <img
            :src="openPic(bookData.bookid)"
            class="cover-pic"
            @click="selectBook(bookData.bookid)"
            :alt="bookData.title"
          />

          <div
            align="center"
            class="cover-title ellipsis-3-lines cover-hover"
            @click="selectBook(bookData.bookid)"
          >
            {{ bookData.title }}
          </div>
        </div>
      </div>
    </div>

    <!-- Mobile -->
    <div class="lt-sm book-m">
      <div>
        <div class="q-pt-md text-show">
          <img :src="openNum(itemNO)" alt="" style="height: 60px" />
        </div>
      </div>
      <div class="main-m">
        <img
          :src="openPic(bookData.bookid)"
          :alt="bookData.title"
          class="cover-m-pic"
          @click="selectBook(bookData.bookid)"
        />
        <div align="center" class="cover-m-title ellipsis-3-lines">
          {{ bookData.title }}
        </div>
      </div>
    </div>

    <!-- Tablet -->
    <div class="gt-xs lt-lg book-t">
      <div>
        <div class="q-pt-md text-show-t">
          <img :src="openNum(itemNO)" alt="" style="height: 60px" />
        </div>
      </div>
      <div class="main-t">
        <img
          :src="openPic(bookData.bookid)"
          :alt="bookData.title"
          class="cover-t-pic"
          @click="selectBook(bookData.bookid)"
        />
        <div align="center" class="cover-t-title ellipsis-3-lines">
          {{ bookData.title }}
        </div>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  props: ["bookData", "itemNO"],
  methods: {
    openNum(num) {
      return "/image/" + num + ".png";
    },
    selectBook(id) {
      this.$router.push("/chapter/" + id);
    },
    openPic(id) {
      return this.serverpath + "cover/" + id + ".jpg";
    },
  },
  // watch: {
  //   data: function (newData, oldData) {
  //     console.log(newData);
  //   },
  // },
};
</script>

<style lang="scss" scoped>
.main-m {
  position: relative;
  top: -60px;
  z-index: 10;
  height: 320px;
}
.main-t {
  position: relative;
  top: -60px;
  z-index: 10;
}
.showNew {
  width: 100%;
  height: 300px;
  overflow-x: auto;
  overflow-y: hidden;
}

::-webkit-scrollbar {
  display: none;
}
.cover-pic {
  width: 200px;
  height: 300px;
  padding-top: 30px;
  cursor: pointer;
}
.cover-m-pic {
  width: 140px;
  height: 210px;
  max-width: 250px;

  cursor: pointer;
}

.cover-t-pic {
  width: 170px;
  height: 250px;
  padding-top: 0px;
  cursor: pointer;
}

.cover-title {
  width: 200px;
  font-size: 14px;
  height: 60px;
  margin-bottom: 20px;
  cursor: pointer;
}
.cover-m-title {
  width: 140px;
  font-size: 14px;
  height: 60px;
  margin-bottom: 20px;
}
.cover-t-title {
  width: 160px;
  font-size: 14px;
  height: 80px;
  margin-bottom: 20px;
}
.cover-hotpic {
  position: absolute;
  top: 30 px;
  right: 20px;
}
.cover-newpic {
  position: absolute;
  top: 30px;
  right: calc(50% - 100px);
  color: white;
  // font-size: 24px;
  // background-color: #2d6be4;
}
.cover-m-newpic {
  position: absolute;
  background-color: #2d6be4;
  font-size: 24px;
  color: white;
}

.showNew {
  width: 100%;
  height: 300px;
  overflow-x: auto;
  overflow-y: hidden;
}
.cover-main {
  position: relative;
}
.text-show {
  position: relative;
  z-index: 999;
  width: 70px;
  // float: right;
  top: 8px;
  left: 40px;
}
.text-show-t {
  position: relative;
  z-index: 999;
  width: 70px;
  // float: right;
  top: 8px;
  left: 50px;
}
.book-m {
  height: 250px;
}
.book-t {
  height: 290px;
  width: 170px;
}
.cover-main:hover {
  .cover-hover {
    text-decoration: underline;
  }
}
</style>
